<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_delay_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_delay_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__delay.html">Delay APIs</a>]</small>
</h1><!-- doxytag: class="tivx_delay_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Delay object internal state. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#a5d126376ce47e7853379ca9d5f43aed8">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reference object  <a href="#a5d126376ce47e7853379ca9d5f43aed8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#af9ed566e650d6b6cb11b02a75ad87075">refs</a> [TIVX_DELAY_MAX_OBJECT]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reference's of object within delay  <a href="#af9ed566e650d6b6cb11b02a75ad87075"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__delay__param__t.html">tivx_delay_param_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#ac46bb3f3bbdff86d8fa946264d745c3b">set</a> [TIVX_DELAY_MAX_OBJECT]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">information about delay reference's  <a href="#ac46bb3f3bbdff86d8fa946264d745c3b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#ae12c417e4bfcc107a3a4233888e0a6ff">index</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">current delay position  <a href="#ae12c417e4bfcc107a3a4233888e0a6ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#a177adfccc53e95a17b3eff60a9d5c442">count</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#a400cadf8d36e66f7609b01160395a3b5">type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">object type within the delay  <a href="#a400cadf8d36e66f7609b01160395a3b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1">vx_delay</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#ab5aa0daa52c8a23e8b2086f43f89cef5">pyr_delay</a> [TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">delay for objects within a pyramid  <a href="#ab5aa0daa52c8a23e8b2086f43f89cef5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#a7dab1c0587b04896222001edd76404a0">pyr_num_levels</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__delay__param__t.html">tivx_delay_param_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__delay__t.html#af9d141a40077018ca57f4493f6a28012">prm_pool</a> [TIVX_DELAY_MAX_PRM_OBJECT]</td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a5d126376ce47e7853379ca9d5f43aed8"></a><!-- doxytag: member="tivx_delay_t::base" ref="a5d126376ce47e7853379ca9d5f43aed8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__delay__t.html#a5d126376ce47e7853379ca9d5f43aed8">tivx_delay_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reference object </p>

</div>
</div>
<a class="anchor" id="af9ed566e650d6b6cb11b02a75ad87075"></a><!-- doxytag: member="tivx_delay_t::refs" ref="af9ed566e650d6b6cb11b02a75ad87075" args="[TIVX_DELAY_MAX_OBJECT]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> <a class="el" href="structtivx__delay__t.html#af9ed566e650d6b6cb11b02a75ad87075">tivx_delay_t::refs</a>[TIVX_DELAY_MAX_OBJECT]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reference's of object within delay </p>

</div>
</div>
<a class="anchor" id="ac46bb3f3bbdff86d8fa946264d745c3b"></a><!-- doxytag: member="tivx_delay_t::set" ref="ac46bb3f3bbdff86d8fa946264d745c3b" args="[TIVX_DELAY_MAX_OBJECT]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__delay__param__t.html">tivx_delay_param_t</a> <a class="el" href="structtivx__delay__t.html#ac46bb3f3bbdff86d8fa946264d745c3b">tivx_delay_t::set</a>[TIVX_DELAY_MAX_OBJECT]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>information about delay reference's </p>

</div>
</div>
<a class="anchor" id="ae12c417e4bfcc107a3a4233888e0a6ff"></a><!-- doxytag: member="tivx_delay_t::index" ref="ae12c417e4bfcc107a3a4233888e0a6ff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__delay__t.html#ae12c417e4bfcc107a3a4233888e0a6ff">tivx_delay_t::index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>current delay position </p>

</div>
</div>
<a class="anchor" id="a177adfccc53e95a17b3eff60a9d5c442"></a><!-- doxytag: member="tivx_delay_t::count" ref="a177adfccc53e95a17b3eff60a9d5c442" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__delay__t.html#a177adfccc53e95a17b3eff60a9d5c442">tivx_delay_t::count</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of objects within delay </p>

</div>
</div>
<a class="anchor" id="a400cadf8d36e66f7609b01160395a3b5"></a><!-- doxytag: member="tivx_delay_t::type" ref="a400cadf8d36e66f7609b01160395a3b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__delay__t.html#a400cadf8d36e66f7609b01160395a3b5">tivx_delay_t::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>object type within the delay </p>

</div>
</div>
<a class="anchor" id="ab5aa0daa52c8a23e8b2086f43f89cef5"></a><!-- doxytag: member="tivx_delay_t::pyr_delay" ref="ab5aa0daa52c8a23e8b2086f43f89cef5" args="[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1">vx_delay</a> <a class="el" href="structtivx__delay__t.html#ab5aa0daa52c8a23e8b2086f43f89cef5">tivx_delay_t::pyr_delay</a>[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>delay for objects within a pyramid </p>

</div>
</div>
<a class="anchor" id="a7dab1c0587b04896222001edd76404a0"></a><!-- doxytag: member="tivx_delay_t::pyr_num_levels" ref="a7dab1c0587b04896222001edd76404a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__delay__t.html#a7dab1c0587b04896222001edd76404a0">tivx_delay_t::pyr_num_levels</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of levels in pyramid object </p>

</div>
</div>
<a class="anchor" id="af9d141a40077018ca57f4493f6a28012"></a><!-- doxytag: member="tivx_delay_t::prm_pool" ref="af9d141a40077018ca57f4493f6a28012" args="[TIVX_DELAY_MAX_PRM_OBJECT]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__delay__param__t.html">tivx_delay_param_t</a> <a class="el" href="structtivx__delay__t.html#af9d141a40077018ca57f4493f6a28012">tivx_delay_t::prm_pool</a>[TIVX_DELAY_MAX_PRM_OBJECT]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Maximum number of paramter objects that can be associated with a delay </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
